<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Address_AutoSuggest {
    public static function init() {
        add_action( 'wp_enqueue_scripts', [ __CLASS__, 'enqueue_scripts' ] );
    }

    public static function enqueue_scripts() {
        if ( class_exists( 'WooCommerce' ) && ( is_checkout() || ( is_singular() && has_block( 'woocommerce/checkout', get_post()->post_content ) ) ) ) {
            $api_key = get_option( ADDRESS_AUTOSUGGEST_FOR_WOOCOMMERCE_SETTINGS_OPTION, '' );
            $selected_countries = get_option( 'address_autosuggest_countries', [] );
            $plugin_url = plugin_dir_url( __FILE__ );

            wp_enqueue_script(
                'address-autosuggest',
                $plugin_url . '../assets/js/address-autosuggest.js',
                [ 'jquery' ],
                filemtime( plugin_dir_path( __FILE__ ) . '../assets/js/address-autosuggest.js' ),
                true
            );
			
            wp_localize_script( 'address-autosuggest', 'AddressAutoSuggestData', [
                'selectedCountries' => $selected_countries,
                'apiKey'            => $api_key,
            ] );
			
            if ( ! empty( $api_key ) ) {
                wp_enqueue_script(
                    'google-places-api',
                    'https://maps.googleapis.com/maps/api/js?key=' . esc_attr( $api_key ) . '&libraries=places',
                    [],
                    '1.0',
                    true
                );
            }
        }
    }
}

Address_AutoSuggest::init();
